.main-header {
    display: flex;
    padding-top: 20px;
    padding-right: 25px;
    padding-bottom: 20px;
    padding-left: 20px;
    justify-content: space-between;
}

.logo {
    display: inline-block;
}

.nav-collapse {
    flex-grow: 2;
    display: block;
    margin-left: 30px;
}

.nav-bar .nav-item {

    &:first-child:nth-last-child(-n+6) a {
        font-size: 13px;
    }

    &:first-child:nth-last-child(-n+6) ~ li {
        a {
            font-size: 13px;
        }
        margin-left: 25px;
    }

    &:first-child:nth-last-child(-n+5) ~ li {
        margin-left: 37px;
    }
}

.collapse {
    display: flex;
    padding-top: 10px;
    padding-bottom: 10px;
    flex-direction: column;
    justify-content: center;
    .collapse-item {
        position: relative;
        display: block;
        width: 40px;
        height: 5px;
        margin: 0;
        border-radius: 5px;
        background-color: $main-active-color;

        &:before, &:after {
            content: '';
            position: absolute;
            left: 0;
            width: 40px;
            height: 5px;
            border-radius: 5px;
            background-color: $main-active-color;
            transition-property: transform, width, bottom, top;
            transition-duration: 300ms;
        }

        &:before {
            bottom: 10px;
        }

        &:after {
            top: 10px;
        }

    }
}

.collapse-open {
    .collapse-item {
        &:before, &:after {
            width: 50%;
            transform-origin: left center;
        }

        &:before {
            bottom: -1px;
            transform: rotate(-45deg);
        }

        &:after {
            top: -1px;
            transform: rotate(45deg);
        }
    }
}

@include breakpoint('large') {
    .main-header .collapse {
        display: none;
    }

}

@include breakpoint('medium') {

    .main-header {
        .collapse {
            display: none;
        }

        .nav-bar .nav-item {

            &:first-child:nth-last-child(-n+6) a {
                font-size: 12px;
            }

            &:first-child:nth-last-child(-n+6) ~ li {
                a {
                    font-size: 12px;
                }
                margin-left: 20px;
            }

            &:first-child:nth-last-child(-n+5) a {
                font-size: 13px;
            }

            &:first-child:nth-last-child(-n+5) ~ li {
                a {
                    font-size: 13px;
                }
                margin-left: 20px;
            }
        }
    }
}

@include breakpoint('small') {
    .main-header {
        position: relative;
        flex-wrap: wrap;
        .collapse {
            display: flex;
        }

        .nav .nav-item {
            &:first-child:nth-last-child(-n+6) ~ li {
                margin-left: 0;
            }
        }
    }

    .search {
        position: absolute;
        top: 35px;
        left: 50%;
        transform: translateX(-50%);
    }

    .nav-collapse {
        overflow: hidden;
        display: block;
        width: 100%;
        height: 0;
        transition-property: height;
        transition-duration: 200ms;
    }

    .nav-collapse-open {
        height: 100%;
    }

    .main-nav {
        display: block;
    }

    .nav {
        margin: 0;
        .nav-item {
            display: block;
            padding-left: 15px;
            padding-bottom: 10px;
            text-align: right;
            + li {
                padding-top: 10px;
                border-top: 2px solid $main-active-color;
            }

            &:first-child:nth-last-child(-n+5) ~ li {
                margin-left: 0;
            }

            &:first-child:nth-last-child(-n+6) .nav-content {
                font-size: 15px;
            }

            &:first-child:nth-last-child(-n+6) ~ li {
                margin-left: 0;
                a {
                    font-size: 15px;
                }

            }

            &:after {
                content: '';
                display: none;
                border-bottom: none;
                transform: none;
                transition: none;
            }
        }
    }

    .active {
        color: $main-active-color;
        &:after {
            display: none;
            transform: none;
        }
    }
}